oci_set_prefetch
OCI8 Obsolete Aliases and Functions
OCI8 Functions
PHP Manual

# oci_statement_type

(PHP 5, PECL OCI8 >= 1.1.0)

oci_statement_type — Returns the type of a statement

### Description

string oci_statement_type ( resource `$statement` )

Returns a keyword identifying the type of the OCI8 `statement`.

### Parameters

`statement`

  A valid OCI8 statement identifier from oci_parse().

### Return Values

Returns the type of `statement` as one of the following strings.

Statement type
Return String | Notes
--- | ---
ALTER |
BEGIN |
CALL | Introduced in PHP 5.2.1 (PECL OCI8 1.2.3)
CREATE |
DECLARE |
DELETE |
DROP |
INSERT |
SELECT |
UPDATE |
UNKNOWN |

Returns `FALSE` on error.

### Examples

Example #1 oci_statement_type() example

`<?php
$conn = oci_connect('hr', 'welcome', 'localhost/XE');
$stid = oci_parse($conn, 'DELETE FROM departments WHERE department_id = 130;');
if (oci_statement_type($stid) == "DELETE") {
trigger_error('You are not allowed to delete from this table', E_USER_ERROR);
}
else {
oci_execute($stid); // delete the row
}
oci_free_statement($stid);
oci_close($conn);
?>`

### Notes

> Note: In PHP versions before 5.0.0 you must use ocistatementtype() instead. The old function name can still be used in current versions, however it is deprecated and not recommended.

oci_set_prefetch
OCI8 Obsolete Aliases and Functions
OCI8 Functions
PHP Manual